# SOCK_Dgram.h File Reference

`#include "ace/SOCK.h"`
`#include "ace/INET_Addr.h"`
`#include "ace/Addr.h"`
`#include "ace/SOCK_Dgram.inl"`

Include dependency graph for SOCK_Dgram.h:

This graph shows which files directly or indirectly include this file:

## Classes

class | ACE_SOCK_Dgram
| Defines the member functions for the ACE_SOCK datagram abstraction. More...

## Detailed Description

Id
  SOCK_Dgram.h,v 4.42 2005/10/28 16:14:55 ossama Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>